Retrieve a product by name
curl --request GET \
--url https://dev.superpool.unyte.africa/api/v1/products/{product_name}/ \
--header 'X-API-Key: <api-key>'{
"id": "de210257-05d4-41fe-8e99-66f4b1a4b759",
"coverages": [],
"provider": {
"provider_id": "fe3d49af-4061-436b-ae60-f7044f252a44",
"provider_name": "SimpleServer Insurance Group",
"email": "ss@insurance.com"
},
"created_at": "2025-02-12 17:21",
"updated_at": "2025-02-12 17:21",
"is_trashed": "false",
"trashed_at": "null",
"restored_at": "null",
"name": "Life Insurance",
"description": "Long-term life insurance scheme.",
"product_type": "Life",
"base_premium": "5000.00",
"is_live": "true",
"origin_product_id": 2147483647,
"product_plan": "Standard",
"pricing": {
"amount": "5000.00",
"tax": "500.00",
"surcharges": "0.00",
"total_price": "5500.00"
}
}Products
Retrieve a product by name
Retrieve a specific product by its name.
GET
/
api
/
v1
/
products
/
{product_name}
Retrieve a product by name
curl --request GET \
--url https://dev.superpool.unyte.africa/api/v1/products/{product_name}/ \
--header 'X-API-Key: <api-key>'{
"id": "de210257-05d4-41fe-8e99-66f4b1a4b759",
"coverages": [],
"provider": {
"provider_id": "fe3d49af-4061-436b-ae60-f7044f252a44",
"provider_name": "SimpleServer Insurance Group",
"email": "ss@insurance.com"
},
"created_at": "2025-02-12 17:21",
"updated_at": "2025-02-12 17:21",
"is_trashed": "false",
"trashed_at": "null",
"restored_at": "null",
"name": "Life Insurance",
"description": "Long-term life insurance scheme.",
"product_type": "Life",
"base_premium": "5000.00",
"is_live": "true",
"origin_product_id": 2147483647,
"product_plan": "Standard",
"pricing": {
"amount": "5000.00",
"tax": "500.00",
"surcharges": "0.00",
"total_price": "5500.00"
}
}Authorizations
Path Parameters
Response
Product details
Serializer for the Product model
Unique identifier for the package
Name of the package offered by the insurance provider
Maximum string length:
255Type of insurance package
Life- Life InsuranceHealth- Health InsuranceAuto- Auto InsuranceCargo- Cargo (Shipment) InsuranceGadget- Gadget InsuranceTravel- Travel InsuranceHome- Home InsuranceStudent_Protection- Student ProtectionAccident- Accident InsurancePersonal_Accident- Personal Accident InsuranceCreditLife- Credit Life InsurancePetCare- PetCare InsuranceGeneral- General InsuranceOther- Other
Available options:
Life, Health, Auto, Cargo, Gadget, Travel, Home, Student_Protection, Accident, Personal_Accident, CreditLife, PetCare, General, Other The plan or tier of the product (e.g., Basic, Premium, or any custom plan)
Maximum string length:
255Show child attributes
Show child attributes
Serializer for the Price model with limited fields (only amount and currency)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Description of the package
Base premium (Estimate) price if no tiers or tenures are defined
Pattern:
^-?\d{0,8}(?:\.\d{0,2})?$⌘I
